[Forgot Password]
Login  Register Subscribe

23631

 
 

115038

 
 

96174

 
 

909

 
 

78077

 
 

109

Paid content will be excluded from the download.


Download | Alert*
OVAL

Integer overflow vulnerability in bufferobject.c in Python - CVE-2014-7185

ID: oval:org.secpod.oval:def:21805Date: (C)2014-12-01   (M)2017-09-11
Class: VULNERABILITYFamily: unix




The host is installed with python before 2.7.8 and is prone to an integer overflow vulnerability. A flaw is present in the application, which does not properly handle a large size and offset in a "buffer" function. Successful exploitation allows context-dependent attackers to obtain sensitive information from process memory.

Platform:
Red Hat Enterprise Linux 6
Red Hat Enterprise Linux 7
Red Hat Enterprise Linux 5
Product:
python
Reference:
CVE-2014-7185
CVE    1
CVE-2014-7185
CPE    17
cpe:/a:python:python
cpe:/a:python:python:2.7.2150
cpe:/a:python:python:2.7.1150
cpe:/a:python:python:2.7.1150::~~~~x64~
...

© 2013 SecPod Technologies